Qt is an application framework originally created by Trolltech and currently managed by Digia. The KDE desktop uses the Qt framework for its applications.

learn more… | top users | synonyms

2
votes
1answer
2k views

Installing Qt 5.5.1 on Ubuntu 14.04 - throws qt.network.ssl error on terminal

I am planning to install qt 5.5.1 on my ubuntu 14.04 running on virtual machine. I have downloaded the installer from qt-io and when I try to install the setup, I notice the below warning on my ...
3
votes
1answer
104 views

Add image files in Ubuntu QML app with C++ plugins (qrc)

I'm writing an Ubuntu QML (phone) App with C++ plugins using ubuntu-sdk. My app includes a png image and in order to include the image in the binary (so it shows on the phone) I have created a qrc ...
1
vote
1answer
162 views

Applications refuse to start; “Could not load QT plugin ubuntumirclient”

I have been trying to build applications from the source and they compile perfectly. But when I go to run them, I get this error: This program failed to start because it could not find or load the ...
3
votes
1answer
183 views

qt apps stopped inheriting gtk themes

After a fresh installation of Ubuntu Gnome 15.10, qt apps like qpdfview or QuiteRSS suddenly stopped to inherit the global gtk theme, in my case Numix. The same is also true for the default Adwaita ...
1
vote
0answers
74 views

Using qt debug symbols from ppa in qtCreator

How to make use of debug symbols in qtCreator, that are installed using ppa? I use Stephan Binner "Qt 5.5.1 for /opt Trusty" packages, including packages with -dbg postfix. Running command: ...
1
vote
1answer
218 views

QT Creator missing help files?

I have downloaded the offline installer for Qt 5.5.1 for Linux 64-bit. Whenever QT Creator starts, an error message appears saying that the Help cannot be loaded. ...
2
votes
1answer
331 views

I have installed QT4.8.7 but CMAKE codul not match the path

I got the error message CMake Error at /usr/local/share/cmake-3.4/Modules/FindPackageHandleStandardArgs.cmake:148 (message): Could NOT find Qt4 (missing: QT_QTOPENGL_INCLUDE_DIR ...
1
vote
0answers
61 views

Can't Create Debian Package for QT App

I can't create package. I was try to create with this tutorial. Error is when I write the last one command: pdebuild --debbuildopts -sa Errors: parsechangelog/debian: warning: ...
0
votes
1answer
190 views

missing dependencies for qtdeclarative-dev:i386 on Ubuntu 64 bit 14.04.3

I want to install the 32 bit qt libraries on ubuntu 64 bit, but apt-get can not resolve the dependencies. first I ran: sudo apt-get update sudo apt-get upgrade sudo apt-get dist-upgrade Then I ...
0
votes
1answer
88 views

Moto G not listed by Qt Creator / adb after upgrading to 15.10

I developed happily with my Moto G on Ubuntu 15.04 a while ago. I upgraded to 15.10 and now that I tested it again Qt Creator (official 5.5 SDK) doesn't see the device anymore. Developer mode and ...
1
vote
1answer
99 views

VLC 2.2.1 using Qt dialog

When I upgraded from 15.04 to 15.10, this included a new version of VLC, as well as a newer Qt. VLC now uses the Qt file open dialog, but I want the GTK one back. I have already checked VLC themes and ...
1
vote
1answer
325 views

LibQt4-core has unmet dependencies

I'm trying to install libqt4-core, but it seems that for the dependencies, I have more recent versions than are compatible with this package. When I use sudo apt-get install libqt4-core my output is ...
0
votes
1answer
111 views

VirtualBox and Skype are bad rendered after sometime

In Ubuntu 14.04 and 15.10 with A10 (Radeon HD7660) and Intel i5 (Integrated Graphic) respectability, the ui of VirtualBox and Skype are not rendered rightly after sometime. I researched and ...
1
vote
2answers
1k views

Where is the Qt Maintenance Tool?

I've installed QtCreator in Kubuntu 15.10 through apt-get and it say my computer doesn't have the required Qt Kit and can be installed through Qt Maintenance Tool. But I don't think I have Qt ...
3
votes
0answers
36 views

Why did Canonical choose to use the Qt toolkit for Ubuntu Touch and not Gtk? [duplicate]

I recently came across a question on Quora: What are future plans for Gtk? Is there plan for smartphone or tablet? Gnome focus on touch devices but Gtk software can not run on it? On Quora, ...
2
votes
1answer
100 views

Qt based apps are broken after time

I'm using Kubuntu 15.10 with Plasma 5 about 2 weeks. It has been a few updates, but the problem is still, and it prevent to work normaly. I don't know what problem is it, but this happens only with ...
0
votes
0answers
61 views

Qt installation error?

I used wget to download the latest Qt (still pretty new to linux, sorry) Page wget http://download.qt.io/official_releases/qt/5.0/5.0.2/qt-linux-opensource-5.0.2-x86-offline.run Now I proceeded ...
1
vote
0answers
132 views

No valid kits found, although a kit exists

I'm trying to open a new project in Qt Creator, and I'm getting a "No valid kits found" error. In options I do see a kit configured. I tried this and installed gcc from the maintaiance tool (although ...
4
votes
2answers
176 views

QT interfaces broken

I ran into a strange issue a couple of days ago and i have no idea what to do. Some of my programs interfaces seem to be broken recently. It is rather odd because i haven't done any major updates. It ...
0
votes
1answer
25 views

U1db-Qt not working as expected in ListView (Ubuntu Touch App Development)

Recently, I've been trying to learn how to use the U1db Library (if that's what you call it), but it hasn't been working the way I expected it to work. Here is my code: import QtQuick 2.4 import ...
1
vote
1answer
1k views

Qt version is not properly installed

Qt Creator says that Qt 5.4.2 is not properly installed. I installed the qtcreator package from the Ubuntu repositories. What can I do about it?
2
votes
1answer
69 views

Ubuntu 14.04 latest update Beyond Compare and TortoiseHG issues

After updating to the latest (as of Nov 1, 2015) Ubuntu 14.04 packages, the UI appears broken on Beyond Compare and TortoiseHG. Most items aren't visible and the when I move the mouse over the window, ...
3
votes
2answers
517 views

Upgraded to Ubuntu 15.10 Wily and get QNativeImage: Unable to attach shared memory segment

I just upgraded to Ubuntu 15.10. I am still using the latest NVIDIA binary driver 352.41 from nvidia-352 w/ GT730 card. When I start spyder and spyder3, the display is garbled with window elements ...
0
votes
0answers
82 views

update to 15.10 breaks qt apps

After upgrade to 15.10 my qt apps are unusable, creating new user doesn't help, what could be wrong ?
0
votes
0answers
162 views

How to setup Qt to use blueZ bluetooth stack

I am running btscanner demo in Qt Creator 5.5 but the 'scan' button comes out as disabled perhaps because the bluetooth is not setup right for Qt. I am using Ubuntu 14.04 (virtual machine) and I can ...
1
vote
0answers
93 views

ubuntu-sdk mkspec

I followed instructions in Ubuntu SDK to install the IDE. No problem. I can write an app and run it in the desktop, but not in my Ubuntu BQ 4.5. The kit is wrong and several errors appear: "Mkspec not ...
0
votes
1answer
65 views

CPP problem / Qt IDE

When trying to install Qt IDE this msg appears : The following packages have unmet dependencies: g++: Depends: cpp (>= 4:4.8.2-1ubuntu6) but 4:4.8.2-1ubuntu6 is to be installed Depends: gcc ...
0
votes
2answers
244 views

:-1: error: The Qt version is invalid: qmake does not exist or is not executable

When I do deploy to Ubuntu device debug I get the following message :-1: error: The Qt version is invalid: qmake does not exist or is not executable
2
votes
1answer
118 views

Pure Qt application (QML/QtQuick) on Ubuntu Phone?

I have a Qt application that is based on QML/QtQuick and runs, among other platforms, on Android. Is it possible to compile this application without (major) modifications for Ubuntu phone? If yes, ...
1
vote
0answers
216 views

non-GTK style broken in QT5 applications after ibus, gir, dconf install

I installed IBUS and its dependencies. The following is an extract of /var/log/apt/history.log. Start-Date: 2015-10-31 14:43:54 Install: gir1.2-atk-1.0:amd64 (2.16.0-2build1, automatic), ...
1
vote
0answers
57 views

Trying to install KISS IDE on Ubuntu, Qt5 and cmake problem

The KISS IDE is an IDE used for programming, compiling, and exporting code/executables to a device called the KIPR link. http://www.kipr.org/products/kiss-ide https://github.com/kipr/kiss It is ...
0
votes
1answer
24 views

Not able launch Qt5 on ubuntu 14.04 multiple times.like we do in windows.right click and open another Qt5 application

recently I have installed Qt5 in my computer.I am not able to launch it multiple time.if I click on icon or if I right click and click open,it should give me separate another Qt5 application.but it ...
1
vote
1answer
83 views

ubuntu14.04: opengl for qt development

since a half day i try to get qt-creator to compile ... but i get errors. This is the output i get, when i start to compile a standard graphical project of the qt-creator (just created this empty ...
-1
votes
1answer
129 views

How to save variables for all pages in qml?

I am currently working on a game for Ubuntu touch. It is as good as finished, but one thing does not work: I have multiple pages using PageStack and want to have some variables which i can reach, ...
0
votes
0answers
131 views

No decoder available for type 'video/x-msmpeg, msmpegversion=(int)42,

I am using QtMultimedia class in QML: http://doc.qt.io/qt-5/qml-qtmultimedia-video.html When I run the first example program shown in the above link, I get the following error: Warning: "No decoder ...
0
votes
1answer
134 views

qt broken link and environment variable

I've installed qt5.5 from PPA. But I'm getting following output. ansh@ansh-HP:~$ qmake -query qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No such file or directory ...
-2
votes
2answers
69 views

help installing PyQt5. recieving error : 'DocumentTooLarge' is not a member of 'QJsonParseError'

hi im quite new but have managed to install sip v4.16.9 (precise)cloud12321@localhost:~/Downloads/PyQt-gpl-5/PyQt-gpl-5.5$ sip -V 4.16.9 Now the configure.py went fine. the problem i have is that ...
0
votes
0answers
87 views

Missing images from Qt Creator examples

I installed in Qt creator (3.0.1 based on Qt 5.2.1) the examples by running sudo apt-get install qtbase5-examples qtbase5-doc-html The examples have been installed, but I can't see any images of ...
0
votes
1answer
602 views

Ubuntu SDK & QT Creator crash on start with error 'Failed to create OpenGL context'

I just did a fresh install of Ubuntu 15.04, and followed the instructions for installing the Ubuntu SDK located here: https://developer.ubuntu.com/en/start/ubuntu-sdk/installing-the-sdk/ On launching ...
5
votes
2answers
604 views

Cannot remove qtspim from Ubuntu 14.04 LTS

I recently tried to install spim(mips compiler) on my machine and it didn't work. Now I'm trying to remove the whole thing but I simply cannot do it and the worse part is that every time I try to ...
3
votes
4answers
6k views

How to Update Qt 5.4.1 to Qt 5.5?

I want to update qt 5.4.1 to Qt 5.5 or 5.4.2 because I want to test KDE Plasma on WayLand. Note: Please provide solution that consume least network resources as I have limited bandwidth. KUbuntu ...
0
votes
1answer
100 views

SDK QML slider on release signal

I am using the slider component from the 15.04 Ubuntu SDK components, see here for the docs. Currently, there is no signal for releasing the slider handle, but there is one for when it is touched ...
0
votes
0answers
15 views

detecting/changing Toolkit on Lubuntu

I installed Lubuntu on 2 machines. For me it seems, that on of them is using GTK as toolkit and the other one qt. So my question would be: How can I detect with Tookit (Gtk, qt) do I use ? ...and is ...
0
votes
1answer
113 views

Ubuntu SDK and shared.h

I'm trying to make some experiments with the Ubuntu SDK and I found a problem with the sample files. If I create a new app, I can compile and run it without problems. If I try to select one of the ...
1
vote
2answers
758 views

How to perform Qt installation

I downloaded qt-opensource-linux-x86-5.4.1.run but how to install it on ubuntu 14.04LTS? This is the output which I get: administrator@pc-7:~$ cd /home/administrator/Downloads/FlareGet/Applications ...
2
votes
0answers
62 views

How to stop Unity on the phone so it doesn't restart?

How to bring down the Ubuntu Phone GUI so I can test some Qt stuff? I figured that it's easy to put arbitrary Qt versions into home dir and run them without messing with the main installation. But I ...
4
votes
0answers
127 views

How to integrate Qt software like FocusWriter, Telegram, Toggl Desktop or RStudio?

What is required to integrate Qt applications such as FocusWriter, RStudio, Toggl Desktop or Telegram Desktop into the design of Ubuntu? By default, these applications look as follows on Ubuntu ...
0
votes
0answers
28 views

Build ubuntu system QT4

I'd like reproduce the building of system QT4 libraries in Ubuntu (12.04 or 14.04) that are generally located in /usr/lib/x86_64/. I assume that for this I need the QT4 source (which I probably can ...
2
votes
0answers
778 views

Unable to compile 32 bit Qt 4.8.6 libraries on 64 bit machine

I am trying to build 32 bit Qt 4.8.6 libraries on Ubuntu 14.04. I have installed additional libraries sudo apt-get install libx32gcc-4.8-dev sudo apt-get install libc6-dev-i386 sudo apt-get install ...
0
votes
0answers
171 views

QT gui application not starting automatically on startup in ubuntu 14.04

I have two Qt applications, one is non gui called "App1" and another one is gui called "App2". As per my need I need to start "App1" on startup of Ubuntu 14.04 machine. This "App1" runs a sh file ...